Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageWrapPad Class Reference

`#include <vtkImageWrapPad.h>`

Inheritance diagram for vtkImageWrapPad:

[legend]
Collaboration diagram for vtkImageWrapPad:

[legend]
List of all members.

## Detailed Description

Makes an image larger by wrapping existing data.

Date:
  2002/01/22 15:33:41

Revision:
  1.24

vtkImageWrapPad performs a modulo operation on the output pixel index to determine the source input index. The new image extent of the output has to be specified. Input has to be the same scalar type as output.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (62%)
  - Martin, Ken (30%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageWrapPad.h)`
  - .`cxx` (`/Imaging/vtkImageWrapPad.cxx)`

Tests:
  vtkImageWrapPad (Tests)

Definition at line 48 of file vtkImageWrapPad.h.

## Public Types
typedef vtkImagePadFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
## Static Public Methods
vtkImageWrapPad * | New ()
int | IsTypeOf (const char *type)
vtkImageWrapPad * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageWrapPad ()
| ~vtkImageWrapPad ()
void | ComputeInputUpdateExtent (int inExt[6], int outExt[6])
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outRegion, int ext[6], int id)

## Member Typedef Documentation

typedef vtkImagePadFilter vtkImageWrapPad::Superclass

| Reimplemented from vtkImagePadFilter. Definition at line 52 of file vtkImageWrapPad.h.

## Constructor & Destructor Documentation

vtkImageWrapPad::vtkImageWrapPad | ( |  | ) | `[inline, protected]`

| Definition at line 55 of file vtkImageWrapPad.h.

vtkImageWrapPad::~vtkImageWrapPad | ( |  | ) | `[inline, protected]`

| Definition at line 56 of file vtkImageWrapPad.h.

## Member Function Documentation

vtkImageWrapPad* vtkImageWrapPad::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImagePadFilter.

virtual const char* vtkImageWrapPad::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImagePadFilter.

int vtkImageWrapPad::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImagePadFilter.

virtual int vtkImageWrapPad::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImagePadFilter.

vtkImageWrapPad* vtkImageWrapPad::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImagePadFilter.

void vtkImageWrapPad::ComputeInputUpdateExtent | ( | int | inExt[6],
|  | int | outExt[6]
| ) | `[protected, virtual]`

| Reimplemented from vtkImagePadFilter.

void vtkImageWrapPad::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outRegion,
|  | int | ext[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

The documentation for this class was generated from the following file:

- Imaging/vtkImageWrapPad.h